<?php

/*-----------------------------------------------------------------------------------*/
/* Enqueue script and styles */
/*-----------------------------------------------------------------------------------*/

function arcade_games_enqueue_google_fonts() {

	require_once get_theme_file_path( 'core/includes/wptt-webfont-loader.php' );

	wp_enqueue_style( 'google-fonts-inter', 'https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap' );

	wp_enqueue_style( 'google-fonts-irish-grover', 'https://fonts.googleapis.com/css2?family=Irish+Grover&display=swap' );
}
add_action( 'wp_enqueue_scripts', 'arcade_games_enqueue_google_fonts' );

if (!function_exists('arcade_games_enqueue_scripts')) {

	function arcade_games_enqueue_scripts() {

		wp_enqueue_style(
			'bootstrap-css',get_template_directory_uri() . '/css/bootstrap.css',
			array(),'4.5.0'
		);

		wp_enqueue_style(
			'fontawesome-css',get_template_directory_uri() . '/css/fontawesome-all.css',
			array(),'4.5.0'
		);

		wp_enqueue_style(
			'owl.carousel-css',get_template_directory_uri() . '/css/owl.carousel.css',
			array(),'2.3.4'
		);

		wp_enqueue_style('arcade-games-style', get_stylesheet_uri(), array() );

		wp_enqueue_style(
			'arcade-games-media-css',get_template_directory_uri() . '/css/media.css',
			array(),'2.3.4'
		);

		wp_enqueue_style(
			'arcade-games-woocommerce-css',get_template_directory_uri() . '/css/woocommerce.css',
			array(),'2.3.4'
		);

		wp_enqueue_style('dashicons');

		wp_enqueue_script(
			'arcade-games-navigation',get_template_directory_uri() . '/js/navigation.js',
			FALSE,
			'1.0',
			TRUE
		);

		wp_enqueue_script(
			'owl.carousel-js',get_template_directory_uri() . '/js/owl.carousel.js',
			array('jquery'),
			'2.3.4',
			TRUE
		);

		wp_enqueue_script(
			'arcade-games-script',get_template_directory_uri() . '/js/script.js',
			array('jquery'),
			'1.0',
			TRUE
		);

		if ( get_theme_mod( 'arcade_games_animation_enabled', true ) ) {
        wp_enqueue_script(
            'arcade-games-wow-script',
            get_template_directory_uri() . '/js/wow.js',
            array( 'jquery' ),
            '1.0',
            true
        );

        wp_enqueue_style(
            'arcade-games-animate',
            get_template_directory_uri() . '/css/animate.css',
            array(),
            '4.1.1'
        );
    }

		if ( is_singular() ) wp_enqueue_script( 'comment-reply' );

		$arcade_games_css = '';

		if ( get_header_image() ) :

			$arcade_games_css .=  '
				.main-header-box{
					background-image: url('.esc_url(get_header_image()).');
					-webkit-background-size: cover !important;
					-moz-background-size: cover !important;
					-o-background-size: cover !important;
					background-size: cover !important;
				}';

		endif;

		wp_add_inline_style( 'arcade-games-style', $arcade_games_css );

		// Theme Customize CSS.
		require get_template_directory(). '/core/includes/inline.php';
		wp_add_inline_style( 'arcade-games-style',$arcade_games_custom_css );

	}

	add_action( 'wp_enqueue_scripts', 'arcade_games_enqueue_scripts' );

}

/*-----------------------------------------------------------------------------------*/
/* Setup theme */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('arcade_games_after_setup_theme')) {

	load_theme_textdomain( 'arcade-games', get_stylesheet_directory() . '/languages' );

	function arcade_games_after_setup_theme() {

		if ( ! isset( $arcade_games_content_width ) ) $arcade_games_content_width = 900;

		register_nav_menus( array(
			'main-menu' => esc_html__( 'Main menu', 'arcade-games' ),
		));

		add_theme_support( 'responsive-embeds' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'align-wide' );
		add_theme_support('title-tag');
		add_theme_support('automatic-feed-links');
		add_theme_support( 'wp-block-styles' );
		add_theme_support('post-thumbnails');
		add_theme_support( 'custom-background', array(
		  'default-color' => 'f3f3f3'
		));

		add_theme_support( 'custom-logo', array(
			'height'      => 70,
			'width'       => 70,
			'flex-height' => true,
			'flex-width'  => true,
		) );

		add_theme_support( 'custom-header', array(
			'header-text' => false,
			'width' => 1920,
			'height' => 100,
			'flex-height' => true,
			'flex-width' => true,
		));

		add_theme_support( 'html5', array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

		add_editor_style( array( '/css/editor-style.css' ) );

	}

	add_action( 'after_setup_theme', 'arcade_games_after_setup_theme', 999 );

}

function arcade_games_template_setup() {

require get_template_directory() .'/core/includes/customizer-notice/arcade-games-customizer-notify.php';
require get_template_directory() .'/core/includes/main.php';
require get_template_directory() .'/core/includes/theme-breadcrumb.php';
require get_template_directory() . '/core/includes/customizer.php';
require get_template_directory() . '/core/includes/importer/config.php';
load_template( trailingslashit( get_template_directory() ) . '/core/includes/class-upgrade-pro.php' );

}
add_action('after_setup_theme', 'arcade_games_template_setup');

/*-----------------------------------------------------------------------------------*/
/* Enqueue theme logo style */
/*-----------------------------------------------------------------------------------*/
function arcade_games_logo_resizer() {

    $arcade_games_theme_logo_size_css = '';
    $arcade_games_logo_resizer = get_theme_mod('arcade_games_logo_resizer');

	$arcade_games_theme_logo_size_css = '
		.custom-logo{
			height: '.esc_attr($arcade_games_logo_resizer).'px !important;
			width: '.esc_attr($arcade_games_logo_resizer).'px !important;
		}
	';
    wp_add_inline_style( 'arcade-games-style',$arcade_games_theme_logo_size_css );

}
add_action( 'wp_enqueue_scripts', 'arcade_games_logo_resizer' );

/*-----------------------------------------------------------------------------------*/
/* Get post comments */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('arcade_games_comment')) :
    /**
     * Template for comments and pingbacks.
     *
     * Used as a callback by wp_list_comments() for displaying the comments.
     */
    function arcade_games_comment($comment, $arcade_games_args, $depth){

        if ('pingback' == $comment->comment_type || 'trackback' == $comment->comment_type) : ?>

            <li id="comment-<?php comment_ID(); ?>" <?php comment_class('media'); ?>>
            <div class="comment-body">
                <?php esc_html_e('Pingback:', 'arcade-games');
                comment_author_link(); ?><?php edit_comment_link(__('Edit', 'arcade-games'), '<span class="edit-link">', '</span>'); ?>
            </div>

        <?php else : ?>

        <li id="comment-<?php comment_ID(); ?>" <?php comment_class(empty($arcade_games_args['has_children']) ? '' : 'parent'); ?>>
            <article id="div-comment-<?php comment_ID(); ?>" class="comment-body media mb-4">
                <a class="pull-left" href="#">
                    <?php if (0 != $arcade_games_args['avatar_size']) echo get_avatar($comment, $arcade_games_args['avatar_size']); ?>
                </a>
                <div class="media-body">
                    <div class="media-body-wrap card">
                        <div class="card-header">
                            <h5 class="mt-0"><?php /* translators: %s: author */ printf('<cite class="fn">%s</cite>', get_comment_author_link() ); ?></h5>
                            <div class="comment-meta">
                                <a href="<?php echo esc_url(get_comment_link($comment->comment_ID)); ?>">
                                    <time datetime="<?php comment_time('c'); ?>">
                                        <?php /* translators: %s: Date */ printf( esc_attr('%1$s at %2$s', '1: date, 2: time', 'arcade-games'), esc_attr( get_comment_date() ), esc_attr( get_comment_time() ) ); ?>
                                    </time>
                                </a>
                                <?php edit_comment_link( __( 'Edit', 'arcade-games' ), '<span class="edit-link">', '</span>' ); ?>
                            </div>
                        </div>

                        <?php if ('0' == $comment->comment_approved) : ?>
                            <p class="comment-awaiting-moderation"><?php esc_html_e('Your comment is awaiting moderation.', 'arcade-games'); ?></p>
                        <?php endif; ?>

                        <div class="comment-content card-block">
                            <?php comment_text(); ?>
                        </div>

                        <?php comment_reply_link(
                            array_merge(
                                $arcade_games_args, array(
                                    'add_below' => 'div-comment',
                                    'depth' => $depth,
                                    'max_depth' => $arcade_games_args['max_depth'],
                                    'before' => '<footer class="reply comment-reply card-footer">',
                                    'after' => '</footer><!-- .reply -->'
                                )
                            )
                        ); ?>
                    </div>
                </div>
            </article>

            <?php
        endif;
    }
endif; // ends check for arcade_games_comment()

if (!function_exists('arcade_games_widgets_init')) {

	function arcade_games_widgets_init() {

		register_sidebar(array(

			'name' => esc_html__('Sidebar','arcade-games'),
			'id'   => 'arcade-games-sidebar',
			'description'   => esc_html__('This sidebar will be shown next to the content.', 'arcade-games'),
			'before_widget' => '<div id="%1$s" class="sidebar-widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Sidebar 2','arcade-games'),
			'id'   => 'arcade-games-sidebar-2',
			'description'   => esc_html__('This sidebar will be shown next to the content.', 'arcade-games'),
			'before_widget' => '<div id="%1$s" class="sidebar-widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Sidebar 3','arcade-games'),
			'id'   => 'arcade-games-sidebar-3',
			'description'   => esc_html__('This sidebar will be shown next to the content.', 'arcade-games'),
			'before_widget' => '<div id="%1$s" class="sidebar-widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Footer sidebar','arcade-games'),
			'id'   => 'arcade-games-footer-sidebar',
			'description'   => esc_html__('This sidebar will be shown next at the bottom of your content.', 'arcade-games'),
			'before_widget' => '<div id="%1$s" class="col-lg-3 col-md-4 %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

	}

	add_action( 'widgets_init', 'arcade_games_widgets_init' );

}

function arcade_games_get_categories_select() {
	$arcade_games_teh_cats = get_categories();
	$results;
	$arcade_games_count = count($arcade_games_teh_cats);
	for ($i=0; $i < $arcade_games_count; $i++) {
	if (isset($arcade_games_teh_cats[$i]))
  		$results[$arcade_games_teh_cats[$i]->slug] = $arcade_games_teh_cats[$i]->name;
	else
  		$arcade_games_count++;
	}
	return $results;
}

function arcade_games_sanitize_select( $input, $setting ) {
	// Ensure input is a slug
	$input = sanitize_key( $input );

	// Get list of choices from the control
	// associated with the setting
	$choices = $setting->manager->get_control( $setting->id )->choices;

	// If the input is a valid key, return it;
	// otherwise, return the default
	return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}

// Change number or products per row to 3
add_filter('loop_shop_columns', 'arcade_games_loop_columns');
if (!function_exists('arcade_games_loop_columns')) {
	function arcade_games_loop_columns() {
		$arcade_games_columns = get_theme_mod( 'arcade_games_per_columns', 3 );
		return $arcade_games_columns;
	}
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'arcade_games_per_page', 20 );
function arcade_games_per_page( $arcade_games_cols ) {
  	$arcade_games_cols = get_theme_mod( 'arcade_games_product_per_page', 9 );
	return $arcade_games_cols;
}

// Add filter to modify the number of related products
add_filter( 'woocommerce_output_related_products_args', 'arcade_games_products_args' );
function arcade_games_products_args( $args ) {
    $args['posts_per_page'] = get_theme_mod( 'custom_related_products_number', 6 );
    $args['columns'] = get_theme_mod( 'custom_related_products_number_per_row', 3 );
    return $args;
}

/*-----------------------------------------------------------------------------------*/
/* Enqueue Global color style */
/*-----------------------------------------------------------------------------------*/
function arcade_games_global_color() {

    $arcade_games_copyright_bg = get_theme_mod('arcade_games_copyright_bg');

	$arcade_games_theme_color_css = '
    	.copyright {
			background: '.esc_attr($arcade_games_copyright_bg).';
		}
	';
    wp_add_inline_style( 'arcade-games-style',$arcade_games_theme_color_css );
    wp_add_inline_style( 'arcade-games-woocommerce-css',$arcade_games_theme_color_css );

}
add_action( 'wp_enqueue_scripts', 'arcade_games_global_color' );

//add animation class
if ( class_exists( 'WooCommerce' ) ) { 
	add_filter('post_class', function($arcade_games, $class, $product_id) {
	    if( is_shop() || is_product_category() ){
	        
	        $arcade_games = array_merge(['wow','zoomIn'], $arcade_games);
	    }
	    return $arcade_games;
	},10,3);
}

add_action( 'customize_register', 'arcade_games_remove_setting', 20 );
function arcade_games_remove_setting( $wp_customize ) {
    // Check if the setting or control exists before removing
    if ( $wp_customize->get_setting( 'header_textcolor' ) ) {
        $wp_customize->remove_setting( 'header_textcolor' );
    }

    if ( $wp_customize->get_control( 'header_textcolor' ) ) {
        $wp_customize->remove_control( 'header_textcolor' );
    }
}

// edit link option
if (!function_exists('arcade_games_edit_link')) :

    function arcade_games_edit_link($view = 'default')
    {
        global $post;
            edit_post_link(
                sprintf(
                    wp_kses(
                    /* translators: %s: Name of current post. Only visible to screen readers */
                        __('Edit <span class="screen-reader-text">%s</span>', 'arcade-games'),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    get_the_title()
                ),
                '<span class="edit-link"><i class="fas fa-edit"></i>',
                '</span>'
            );

    }
endif;

function get_page_id_by_title($pagename){

    $args = array(
        'post_type' => 'page',
        'posts_per_page' => 1,
        'post_status' => 'publish',
        'title' => $pagename
    );
    $query = new WP_Query( $args );

    $page_id = '1';
    if (isset($query->post->ID)) {
        $page_id = $query->post->ID;
    }

    return $page_id;
}

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

/*-----------------------------------------------------------------------------------*/
/* Dark Mode */
/*-----------------------------------------------------------------------------------*/

function arcade_games_body_class( $arcade_games_classes ) {
	
    $arcade_games_dark_mode_enabled = get_theme_mod( 'arcade_games_is_dark_mode_enabled', false );

    if ( $arcade_games_dark_mode_enabled ) {
        $arcade_games_classes[] = 'dark-mode';
    }

    return $arcade_games_classes;
}
add_filter( 'body_class', 'arcade_games_body_class' );